<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [SourceFileRequirement](./bitburner.sourcefilerequirement.md) &gt; [type](./bitburner.sourcefilerequirement.type.md)

## SourceFileRequirement.type property

**Signature:**

```typescript
type: "sourceFile";
```
